<template>
  <div class="progress-wrapper">
    <div class="progress">
      <div class="line" :style="{width: percent + '%'}"></div>
    </div>
    <div class="progress__text">
      <div class="current-value">
        <span class="number">{{ total.toString() | formatCurrencyAmount('usd', '0') }}</span>
        <span class="text">USD</span>
      </div>
      <div class="goal-value">
        <span class="number">{{ systemSettings.ico_hardcap_by_usd | formatCurrencyAmount('usd', '0') }}</span>
        <span class="text">USD</span>
      </div>
    </div>
  </div>
</template>
<script>
import BaseProgress from '../../../home/components/Dashboard/Progress';

export default {
  extends: BaseProgress,
};
</script>
<style lang="scss" scoped>
  @import '../../../../sass/variables';
  @import '../../../../sass/vendor/position';

  .progress-wrapper {
    width: calc(100vw - 28px);
    max-width: 500px;
    margin: 0 auto;
  }

  .progress {
    border-radius: 30px;
    background-color: #463d6c;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.08);
    height: 10px;
    margin: 0 auto;
    overflow: hidden;
  }

  .line {
    border-radius: 30px;
    background-image: linear-gradient(to right, #fad961, #f76b1c);
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.32);
    height: 10px;
  }

  .current-value,
  .goal-value {
    .number {
      font-size: $medium;
      font-size: 16px;
      font-weight: bold;
      color: $white;
      margin-right: 5rem;
    }

    .text {
      font-size: $small;
      color: $gray_text_dashboard
    }
  }

  .progress__text {
    padding-top: 10px;
    &:after {
      content: "";
      display: table;
      clear: both;
    }
  }

  .current-value {
    float: left;
  }

  .goal-value {
    float: right;
  }
</style>
